#include <iostream>
using namespace std;

int main() {
    int n, h, x;
    cin >> n >> h;

    for (int i = 1; i < n+1; i++) {
        cin >> x;  
        if(x<=h){
            cout<<i;
            return 0;
        }
    }
    cout<<-1;
    return 0;
}